package gsdlsoft


#######################################################################
# java images/scripts
#######################################################################

# the _javalinks_ macros are the flashy image links at the top right of
# the page. 

_javalinks_ {_imagehome_}
_javalinks_ [v=1] {
_imagehome_<br>
}

#######################################################################
# page content
#######################################################################

_pagetitle_ {NZDL: Greenstone Digital Library Software}

_imagethispage_ {_imagegreenstone_}

_content_ {
_iconblankbar_

<h4>The Greenstone software</h4>

<p> The Greenstone Digital Library software provides a new way of
organizing information and making it available over the Internet.  A
<i>collection</i> of information comprises several (typically several
thousand, or even several million) <i>documents</i>, which share a uniform
searching and browsing interface.  The collections in a library are
organized in a different way--though they share a strong family
resemblance.  Although primarily designed for access over the Web,
Greenstone collections can be made available, in precisely the same form,
on CD-ROM for standalone PCs.  Greenstone is open-source software,
available under the terms of the Gnu public license.  Documentation is
available in the form of <i><a
href="http://nzdl2.cs.waikato.ac.nz/technology/gsdl_manual.pdf">The Greenstone
Digital Library Software</a></i> manual.

<h4>Installing Greenstone</h4>

<p> To install on unix systems:

<ul> <li>Download the <a
href="http://nzdl2.cs.waikato.ac.nz/technology/gsdl-2.13.tar.gz"><i>gsdl-2.13</i></a>
distribution <i>(4.6 Mb)</i>.  <li>Extract the gzipped tar archive <i>(tar
xvzf gsdl-2.13.tar.gz)</i>.  <li>In the resulting gsdl directory type
<i>./configure</i>. When the configure script has finished running type
<i>make</i>, then <i>make install</i>.  <li><i>make install</i> copies the
compiled executable file into the gsdl/cgi-bin directory by default. To run
the library as a cgi script move the executable and the gsdlsite.cfg
configuration file to your systems cgi-bin directory.  <li>The gsdlsite.cfg
configuration file must be edited to suit your site. The gsdlhome entry
will need to be set to point to your gsdl directory. Other fields that may
need changing are httpprefix (the web path to the gsdl directory) and
httpimg (the path to gsdl/images).  <li>To build the demonstration
collection that comes with the distribution run the builddemo.sh script
from within the gsdl directory.  <li>For more information on using the
Greenstone software, download <i><a
href="http://nzdl2.cs.waikato.ac.nz/technology/gsdl_manual.pdf">The Greenstone
Digital Library Software</a></i> manual.  </ul>

<p> The current distribution of the Greenstone software was developed primarily for use on unix systems.
The software does run under Windows/DOS however and windows specific distributions (including pre-compiled 
binaries) will soon be made available.

<h4>Greenstone Collections</h4> 
Several of the smaller collections on this website are available for
download. Once the main Greenstone distribution is installed simply
download the required collection and extract the gzipped tar file to your
gsdl/collect directory. You then need to import and build your new
collection. See <i><a
href="http://nzdl2.cs.waikato.ac.nz/technology/gsdl_manual.pdf">The Greenstone
Digital Library Software</a></i> manual for details on importing and
building collections. The Greenstone software will automatically notice
your new collection and include it in the home page once it has been built
successfully.

<p><a href="http://nzdl2.cs.waikato.ac.nz/technology/arabic.tar.gz">arabic demonstration collection</a> <i>(4.2 Mb)</i>.
<br>collection on critical global issues <i>(102 Mb)</i>.
<br><a href="http://nzdl2.cs.waikato.ac.nz/technology/chinese.tar.gz">chinese demonstration collection</a> <i>(470 kb)</i>.
<br>computer science bibliographies <i>(112 Mb)</i>.
<br>computer science technical reports <i>(1800 Mb)</i>.
<br>world environment library <i>(220 Mb)</i>.
<br>food and nutrition library <i>(98 Mb)</i>.
<br>project gutenberg collection <i>(428 Mb)</i>.
<br><a href="http://nzdl2.cs.waikato.ac.nz/technology/hcibib.tar.gz">the hci bibliography</a> <i>(4.8 Mb)</i>.
<br>humanity development library <i>(387 Mb)</i>.
<br><a href="http://nzdl2.cs.waikato.ac.nz/technology/ipc.tar.gz">indigenous peoples collection</a> <i>(3.6 Mb)</i>.
<br>medical and health library <i>(73 Mb)</i>.
<br>m&auml;ori newspapers <i>(659 Mb)</i>.
<br>youth oral history collection <i>(421 Mb)</i>.
<br>virtual disaster library <i>(73 Mb)</i>.
<br><a href="http://nzdl2.cs.waikato.ac.nz/technology/tcc.tar.gz">the computists' weekly</a> <i>(5.0 Mb)</i>.
<br><a href="http://nzdl2.cs.waikato.ac.nz/technology/tidbits.tar.gz">tidbits</a> <i>(5.4 Mb)</i>.
<br>bibliotheque pour le developpement <i>(340 Mb)</i>.
<br>sahel point doc <i>(78 Mb)</i>.
<br>united nations university collection <i>(71 Mb)</i>.
<br>women's history collection <i>(12 Mb)</i>.

<h4>Bugs</h4>
Please report bugs or installation problems to <a href="mailto:greenstone@cs.waikato.ac.nz">greenstone@cs.waikato.ac.nz</a>

}